openjdk-25 (25.0.3~7ea-2) unstable; urgency=medium

  * d/t/dependencies.sh: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 30 Mar 2026 21:37:55 +1300

openjdk-25 (25.0.3~7ea-1) unstable; urgency=medium

  * OpenJDK 25.0.3 snapshot, Build 7.

  [ Vladimir Petko ]
  * d/rules: Revert optional version string changes.
    This should be resolved upstream.

  [ Matthias Klose ]
  * d/t/jtreg-autopkgtest.in: Increase the timeout from 10 to 30 seconds 
    on loong64 (zero VM).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Mar 2026 11:53:45 +0200

openjdk-25 (25.0.3~5ea-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: Remove '[' separator in version string, it makes the version
    string invalid.
  * d/t/dependencies.{in,sh}: Relax test assertion and regenerate.

  [ Matthias Klose ]
  * Regenerate test scripts. Closes: #1127309.
  * Move pandoc and graphviz to general build dependencies, needed for
    man page generation.
  * Use pre-generated man pages on architectures where pandoc is not
    available. Closes: #1128485.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Mar 2026 14:57:57 +0100

openjdk-25 (25.0.3~5ea-1) unstable; urgency=medium

  * OpenJDK 25.0.3 snapshot, Build 5.

  [ Miao Wang ]
  * d/t/problems.csv: Add tests which take too long to finish on
    loong64.

  [ Vladimir Petko ]
  * d/rules: Separate package version in version string.
  * d/dbg.py: Fix syntax errors in gdb unwinder, do not install unwinder
    for zero, install hotspot unwinder in the correct directory.
  * d/t/jtreg-autopkgtest.{in,sh}: Do not force agentvm for s390x jtreg
    tests to resolve the build crash on Launchpad.
    Disable debug traces. Load unwinder in the disabled state.
    Return iterator rather than list from OpenJDKFrameFilter.flatten().
    Remove unused code from NativeMethodInfo.

  [ Matthias Klose ]
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2026 10:18:55 +0100

openjdk-25 (25.0.2+10-1) unstable; urgency=medium

  * OpenJDK 25.0.2 release, build 10.
    - CVEs:
      + CVE-2026-21945: 8368032: Enhance Certificate Checking.
      + CVE-2026-21932: 8359501: Enhance Handling of URIs.
      + CVE-2026-21933: 8362632: Improve HttpServer Request handling.
      + CVE-2026-21925: 8341496: Improve JMX connections.
  * d/rules: Use jtreg8 package for the tests.
  * d/p/power-opt.diff: Refresh patch.
  * Drop patches applied upstream:
     - d/p/jdk-8359735.patch.
     - d/p/jdk-8369450-proposed.patch.
     - d/p/jdk-8370049-proposed.patch.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 22 Jan 2026 10:10:25 +1300

openjdk-25 (25.0.1+8-3) unstable; urgency=medium

  * d/t/control.in: Remove flaky and skippable flag from dependencies.sh
    test and install only jre package.
  * d/t/control: Regenerate.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 12 Jan 2026 14:40:31 +1300

openjdk-25 (25.0.1+8-2) unstable; urgency=medium

  [ Matthias Klose ]
  * d/rules: Adjust any_archs, hppa is unlikely to get fixed for the
    opposite stack frame growth.
  * d/rules: Run the testsuite for loong64.
  * Regenerate the watch file.

  [ Vladimir Petko ]
  * d/{rules/control.in/test/control.in}: Replace dbus-x11 with dbus-
    daemon dependency. Closes: #1117100.
  * d/control: d/test/control: Regenerate.
  * d/README.{Debian,source}: Update package readme files.
  * d/rules: Use generic code to replace bundled jquery.
  * d/JB-doc.overrides.in: Drop binary package bundled jquery
    override. The override is not needed for the binary package.
  * d/s/lintian-overrides: Update jquery override override comment.
  * Update unstripped-binary-or-object override comments.
    OpenJDK needs symbols for Native Memory Tracking.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 20 Dec 2025 09:57:54 +1300

openjdk-25 (25.0.1+8-1) unstable; urgency=medium

  * OpenJDK 25.0.1 release, build 8.
    - CVEs:
      + CVE-2025-53057, 8360937: Enhance certificate handling.
      + CVE-2025-53066, 8356294: Enhance Path Factories.
      + CVE-2025-61748, 8359454: Enhance String handling.

  [ Vladimir Petko ]
  * d/s/lintian-overrides: Override false positive nproc warning.
  * d/{JB-doc.overrides.in, JB-jre-headless.overrides.in}: Add override for
    old FSF copyright address.
  * d/JB-jvmci-jdk.overrides.in: Update overrides for jvmci package.
  * d/t/problems.csv: DocRootDirPermissionsTest.java - Fix typo in
    the test name.
  * d/t/problems.csv: Synchronize problem list.
  * d/t/dependencies.sh: Relax test assertion for PC/SC library.
  * d/rules: Prefer openjdk-25 for bootstrap.
  * d/control: Regenerate.
  * d/p/jdk-8369450.patch: Fix ftbfs due to rust-coreutils date. LP: #2127120.
  * Security Manager was removed in -25, so the JDK image no longer has
    default.policy and java.policy.
  * jaxp-strict.properties.template was moved by d/rules to
    jaxp-strict.properties, but we still created symlink to
    jaxp-strict.properties.template.  Replace mv with cp so that link
    to jaxp-strict.properties.template is not broken.
  * d/rules: Run jtreg autopkgtests only on jtreg architectures.
  * d/t/{hotspot-autopkgtest.in, jdk-autopkgtest.in}: Skip tests
    that require a large amount of memory.
  * d/t/{control,hotspot-autopkgtest.sh, jdk-autopkgtest.sh}:
    Regenerate.
  * d/p/jdk-8370049-proposed.patch: s390x G1 barrier compare and exchange
    operation should update output parameter instead of input.  LP: #2127750.

  [ Matthias Klose ]
  * d/rules: Let the install target depend on the build target.
    Closes: #1105520.
  * Update the location of the upstream VCS.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2025 12:19:10 +0200

openjdk-25 (25+36-1) unstable; urgency=medium

  * OpenJDK 25 GA, build 36. Release notes:
    https://mail.openjdk.org/pipermail/jdk-dev/2025-September/010483.html

  [ Vladimir Petko ]
  * d/rules: Mark as release.
  * d/watch: Regenerate.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Sep 2025 02:43:31 +0200

openjdk-25 (25~36ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 36.
  * Build using GCC 15 on development releases.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Aug 2025 11:59:40 +0200

openjdk-25 (25~34ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 34.

  [ Matthias Klose ]
  * Update VCS attributes.

  [ Vladimir Petko ]
  * d/copyright-generator/copyright-gen.py: bump copyright year.
  * d/copyright: regenerate.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2025 08:35:23 +0200

openjdk-25 (25~32ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 32.

  [ Vladimir Petko ]
  * d/p/jdk-8359735-proposed.patch: Fix process tests failing in Ubuntu 25.10.
  * d/rules: Add -XX:TieredStopAtLevel=1 to boot jdk args for s390x to work
    around an Ubuntu LP builder issue.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Jul 2025 13:45:05 +0200

openjdk-25 (25~25ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 25.
  * Prefer OpenJDK 25 as a build dependency. Closes: #1106303.

 -- Matthias Klose <doko@debian.org>  Sat, 31 May 2025 11:40:07 +0200

openjdk-25 (25~22ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 22.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 May 2025 12:03:44 +0200

openjdk-25 (25~20ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 20.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Apr 2025 05:43:35 +0200

openjdk-25 (25~17ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 17.

  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests (Helmut
    Grohne). Closes: #1095920.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Apr 2025 08:42:24 +0200

openjdk-25 (25~16ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 16.

  [ Vladimir Petko ]
  * d/p/jdk-8352800-proposed.patch: Add missing header.
  * d/p/test-empty-path.patch: Disable tests that require access to
    getFileStore(path) due to JDK-8166162.
  * d/t/jtreg-autopkgtest.*: Set ulimit -c unlimited for
    runtime/ErrorHandling/CreateCoredumpOnCrash.java.
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Mar 2025 19:35:18 +0100

openjdk-25 (25~15ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 15.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2025 06:46:09 +0100

openjdk-25 (25~14ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 14.
  * debian/tests: Regenerate test files for 25.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 08:13:37 +0100

openjdk-25 (25~10ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 10.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 22:19:23 +0100

openjdk-25 (25~9ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 9.

  [ Pushkar Kulkarni ]
  * d/control: New graal-builder jdk package.
  * d/rules: Generate graal-builder jdk package.

  [ Matthias Klose ]
  * Fix jvmci package description.
  * Clean up jvmci package.
  * Install changelog and copyright for jvmci.
  * Remove some man pages, that appear with 24~36ea without binaries:
    jabswitch.1, jaccess*.1, kinit.1, klist.1, ktab.1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Feb 2025 20:32:32 +0100

openjdk-25 (25~8ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 8.
  * Disable explicit power8 optimization on ppc64el.
  * Build zero with --disable-precompiled-headers.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2025 13:57:28 +0100

openjdk-25 (25~7ea-1) unstable; urgency=medium

  * OpenJDK 25 snapshot, Build 7.

  [ Vladimir Petko ]
  * d/p/jdk-8347014-proposed.patch: Define MAP_FIXED_NOREPLACE_value for alpha.
  * d/t/problems.csv: Add openjdk-24 and openjdk-25 to the problems.csv.
  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/t/problems.csv: Fix typo - remove jdk prefix for
    sun/security/util/Debug/DebugOptions.java.
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

  [ Matthias Klose ]
  * Try to work-around a ftbfs on alpha. For now we keep the
    zero-alpha-workaround patch enabled instead of jdk-8347014-proposed.
  * d/rules: Also dump logs for zero builds and for build failures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2025 21:12:03 +0100

openjdk-25 (25~4ea-1) experimental; urgency=medium

  * OpenJDK 25 snapshot, Build 4.

  [ Vladimir Petko ]
  * d/rules: Set JVM thread size and Java thread size for power architectures and S390x
    to avoid a stack overflow error.

  [ Matthias Klose ]
  * d/rules: Also do the above fix for alpha and sparc64.
  * Try to work-around a ftbfs on alpha.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 13:09:04 +0100

openjdk-25 (25~0ea-1) experimental; urgency=medium

  * OpenJDK 25 snapshot, Build 0.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Dec 2024 11:27:05 +0100

openjdk-24 (24~26ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 26.

  [ Matthias Klose ]
  * d/patches/{atk-wrapper-security,update-permission-test}: Disable.
  * d/patches/warn-fontmanager: Update.

  [ Pushkar Kulkarni ]
  * For jammy, work around GCC ICE on armhf. See LP #1953128.
  * d/t/problems.csv: Update based on recent JTREG runs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Nov 2024 12:21:53 +0100

openjdk-24 (24~22ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 22.
  * Consolidate setting of dtrace architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Nov 2024 10:57:23 +0100

openjdk-24 (24~20ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 20.

  [ Vladimir Petko ]
  * d/rules: Do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.
  * d/rules: Disable hotspot for i386 (JDK-8341871).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2024 09:05:23 +0200

openjdk-24 (24~16ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 16.
  * Bump standards version.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 17:08:21 +0200

openjdk-24 (24~14ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 14.

  * Stop providing the versioned names javaNN-sdk-headless, javaNN-sdk,
    javaNN-runtime-headless, javaNN-runtime-headless. The versioned
    provides java-sdk-headless, java-sdk, java-runtime-headless and
    java-runtime-headless exist since OpenJDK 17.

  [ Vladimir Petko ]
  * d/p/reproducible-properties-timestamp.diff: Use PrivilegedAction
    to avoid SecurityManager exception.
  * Enable dtrace support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2024 22:24:27 +0200

openjdk-24 (24~10ea-2) unstable; urgency=medium

  * Fix typo in jre-headless dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Aug 2024 02:52:32 +0200

openjdk-24 (24~10ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 10.

  [ Vladimir Petko ]
  * d/changelog: Remove trailing empty line.
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/JB-*.overrides.in, d/s/lintian-overrides: Update lintian overrides.
  * d/control: Add Java 24 Provides.
  * d/t/problemlist.csv: Update problemlist.csv for July release
  * d/t/jtreg-autopkgtest.{in,sh}: Increase jtreg test timeouts.

  [ Emmanuel Bourg ]
  * Restore and update the reproducible-properties-timestamp patch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 15:50:51 +0200

openjdk-24 (24~8ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 8.

  [ Vladimir Petko ]
  * d/t/write-problems.in: Fix typo that caused all tests present
    in d/t/problems.csv to be excluded.
  * d/t/{jdk,hotspot}-autopkgtest.in: Call d/t/write-problems.sh
    instead of d/t/write-problems.
  * d/t/*.sh: Regenerate tests.
  * d/rules: Enable fallback linker for architectures that do not
    provide a native one.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.
  * d/t/control.in: allow stderr for smoke tests.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 06:17:37 +0200

openjdk-24 (24~7ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 7.

  [ Vladimir Petko ]
  * d/rules: Enable jtreg again.
  * d/t/jni-link.{in,sh}: Drop obsolete test. After JDK-8331541 the build
    will fail if JVM contains undefined symbols.
  * d/rules: Add missing file.
  * d/p/jdk-8334502.patch: Fix iso8601_utctime armhf function.
  * d/p/jdk-8334895-proposed.patch: Resolve configure issue on arm64.
  * d/rules: Include /usr/share/dpkg/buildflags.mk to avoid configure failure
    due to undefined environment variables.
  * d/p/jdk-8335238-workaround.patch: Temporary revert fix for JDK-8320886
    on i386 to fix the ftbfs due to hanging jtreg tests.
  * d/rules, d/t/*: Collate all excluded tests into d/problemlist.csv.
  * d/rules: enable Fallback linker for Foreign Function and Memory API
    on i386 and armhf.
  * d/watch: Use fixed googletest version.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf,
    unable to set file last modified timestamp.

  [ Matthias Klose ]
  * Build using GCC 14.
  * Install jnativescan into jdk-headless.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2024 09:01:13 +0200

openjdk-24 (24~4ea-1) experimental; urgency=medium

  * OpenJDK 24 snapshot, Build 4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jun 2024 19:36:22 +0200

openjdk-23 (23~28ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 28.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jun 2024 17:35:55 +0200

openjdk-23 (23~20ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 20.

  [ Vladimir Petko ]
  * Add autopkgtest to test that JNI applications using the invocation API
    can be linked.
  * Add autopkgtest for libpcsclite initialisation.

  [ Matthias Klose ]
  * Build using GCC 10 for focal.
  * Fix fontmanager build with system harfbuzz.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 May 2024 06:15:47 +0200

openjdk-23 (23~15ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 15.

  [ Vladimir Petko ]
  * Fix installing the s390x build.
  * Emit warning to install openjdk-*-jre package when fontmanager is
    used, but only openjdk-*-jre-headless is installed.
  * Add support to build --with-hsdis=binutils, but keep it off by default.

  [ Matthias Klose ]
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 14:40:10 +0100

openjdk-23 (23~14ea-1) experimental; urgency=medium

  * OpenJDK 23 snapshot, Build 14.

  [ Vladimir Petko ]
  * Run the hotspot and jdk autopkg tests on all architectures.
  * Add bash, lsb-release and xauth as dependencies for autopkg tests.
  * Build openjdk-23-testsupport packages, containing the binaries
    required to run the autopkg tests.
  * d/t/{hotspot,jdk}-autopkgtest.{sh, in}: Set default arguments to
    tier1 tests, otherwise pass user's arguments while setting correct
    test directory and native path.
  * Fix lintian override package name.

  [ Pushkar Kulkarni ]
  * Corrections to patch arch-add-ports.diff.
  * Fix a typo in the vendor name derivation logic.

  [ Matthias Klose ]
  * Remove the GTK 2.x bits.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 18:17:32 +0100

openjdk-23 (23~13ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 13.

  * libcups2, libfontconfig1: Make it a recommends in jre-headless,
    a dependency in jre.
  * Make the dependencies for libfontmanager.so and libjsound.so
    recommendations in jre-headless, and dependencies in jre.
  * Drop build dependencies on libgtk2 | libgtk3.
  * Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 23:53:00 +0100

openjdk-23 (23~10ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Feb 2024 00:31:52 +0100

openjdk-23 (23~6ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 6.

  [ Matthias Klose ]
  * Don't try to install jhsdb on armhf with a zero-only build.
  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Addresses: #1034600.

  [ Vladimir Petko ]
  * d/rules: Do not delete d/watch on clean.
  * d/rules: Trim trailing whitespaces from debian/control.

  [ Pushkar Kulkarni ]
  * Minor improvements to the copyright-generator.
  * Regenerate d/copyright.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 20 Jan 2024 14:51:31 +0100

openjdk-23 (23~4ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 4.

  [ Matthias Klose ]
  * Don't build hotspot on armhf for now,
    see https://bugs.openjdk.org/browse/JDK-8321125

  [ Vladimir Petko ]
  * Generate d/watch to cope with early access and release builds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Jan 2024 12:10:48 +0100

openjdk-23 (23~3ea-1) experimental; urgency=medium

  * OpenJDK 23 snapshot, Build 3.

  [ Vladimir Petko ]
  * Update lintian overrides.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Dec 2023 12:22:26 +0100

openjdk-22 (22~25ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 25.

  [ Vladimir Petko ]
  * d/copyright: Fix lintian warning.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Nov 2023 10:15:39 +0100

openjdk-22 (22~24ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 24.

  [ Pushkar Kulkarni ]
  * debian/copyright: Fix whitespace issues.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2023 13:10:35 +0100

openjdk-22 (22~22ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 22.

  [ Vladimir Petko ]
  * d/rules: pack external debug symbols with build-id, do not strip
    JVM shared libraries. LP: #2012326, LP: #2016739.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices, using a generator script.

  [ Matthias Klose ]
  * Drop the libpcsclite-dlopen patch.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 08:26:30 +0100

openjdk-22 (22~20ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 20.

  [ Vladimir Petko ]
  * d/p/build_test.patch: Use openjdk-17 patch for backports compatibility.
  * d/copyright: include google test license.
  * d/rules, d/watch: bundle google test library.
  * d/patches: remove build_gtest.patch.
  * d/tests: refresh problem lists.
  * d/p/exclude_broken_tests.patch: drop patch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Oct 2023 10:16:58 +0200

openjdk-22 (22~16ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 16.

  [ Pushkar Kulkarni ]
  * debian/copyright: Update copyrights and notices.

  [ Vladimir Petko ]
  * d/p/build_test.patch: Use openjdk-17 patch for backports compatibility.

  [ Matthias Klose ]
  * Apply proposed fix for JDK-8313438, fixing the s390x build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Sep 2023 11:59:51 +0200

openjdk-22 (22~15ea-2) unstable; urgency=medium

  * Apply proposed fix for JDK-8315940, fixing the armhf build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Sep 2023 14:54:37 +0200

openjdk-22 (22~15ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 15.
  * Disable running the tests on powerpc. Closes: #1051918.
  * Build zero on loong64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Sep 2023 09:14:31 +0200

openjdk-22 (22~13ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 13.

  [ Matthias Klose ]
  * Tighten dependency on jtreg7.
  * Build-depend on the unversioned libfreetype-dev.

  [ Pushkar Kulkarni ]
  * Enable JdiListeningLocalhostExecutionControlTest.java again.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Sep 2023 08:57:23 +0200

openjdk-22 (22~12ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 12.

  [ Matthias Klose ]
  * 8313795: Fix for broken ppc and s390x builds.
  * Explicitly configure --without-jtreg with the nocheck profile

  [ Vladimir Petko ]
  * Refresh exclude_broken_tests.patch
  * Drop 8313795.diff, applied upstream.

  [ Pushkar Kulkarni ]
  * d/p/series - The jaw-classpath and jaw-optional patches help work around
    the problem of an application being unable to load ATK wrapper classes
    since the introduction of the JPMS(JDK9). With openjdk-8, these classes
    were loaded as extension classes from jre/lib/ext. The best alternative
    today is that the user makes sure java-atk-wrapper is installed, modifies
    the accessibility.properties file to enable ATK and sets the CLASSPATH to
    point to the location of the ATK jar. These patches have been dropped on
    openjdk-11 and openjdk-17 previously.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Aug 2023 12:41:26 +0200

openjdk-22 (22~9ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2023 03:08:23 +0200

openjdk-22 (22~7ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 7.

  [ Vladimir Petko ]
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.
  * d/p/exclude-broken-tests.patch: quarantine pkcs11 tests failing with NSS 3.91.
  * d/t/problems-armhf.txt: quarantine armhf failing tests:
    - java/net/httpclient/ManyRequestsLegacy.java: SSL request timeout.
    - java/util/Random/RandomTestBsi1999.java: deadlock in CI.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 11:03:23 +0200

openjdk-22 (22~5ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 5.

  [ Matthias Klose ]
  * Provide versioned java-runtime, java-runtime-headless, java-sdk
    and java-sdk-headless virtual packages (Emmanuel Bourg).
  * Link with --no-as-needed. Closes: #1031521.
  * d/rules: Remove EXTRA_.*FLAGS_JDK macros.
  * Add support for arc (untested), hppa (untested) and ia64.
  * Configure --with-stdc++lib=static on ia64.
  * Fix FTCBFS: Add libffi-dev:native to B-D (Helmut Grohne).
  * Build using GCC 13.

  [ Vladimir Petko ]
  * Update debian/watch for Java 22.
  * d/p/arch-add-ports.diff: update patch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Jul 2023 12:58:35 +0200

openjdk-22 (22~3ea-1) unstable; urgency=medium

  * OpenJDK 22 snapshot, Build 3.
  * Remove breaks/replaces from OpenJDK 21 packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 09:40:39 +0200

openjdk-21 (21~28ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 28.
  * Add support for alpha, m68k, ppc, sh, x32.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jun 2023 07:48:49 +0200

openjdk-21 (21~27ea-4) unstable; urgency=medium

  * debian/rules: Correctly set BOOT_JDK_HOME.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 20:53:53 +0200

openjdk-21 (21~27ea-3) unstable; urgency=medium

  * Regenerate autopkg test scripts.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 14:51:08 +0200

openjdk-21 (21~27ea-2) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 27.

  [ Vladimir Petko ]
  * Also disable tests on trixie. No jtreg7 yet.
  * debian/copyright: Convert to a machine-readable format.
  * debian/copyright: Align excludes statement with openjdk-17.
  * debian/watch: Add ea repack suffix.
  * Fix build on mipsel and mips64el.
  * Move ct.sym from the jre into the jdk package.

  [ Matthias Klose ]
  * Enable tests for trixie and unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Jun 2023 08:56:39 +0200

openjdk-21 (21~26ea-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: only compile google tests when with_check is enabled,
    disable them for bullseye and jammy.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 06:29:28 +0200

openjdk-21 (21~26ea-1) unstable; urgency=medium

  * OpenJDK 21 snapshot, Build 26.

  [ Vladimir Petko ]
  * d/p/*: refresh patches.
  * Copy OpenJDK 20 packaging changes:
    - d/rules: pack external debug symbols with build-id, do not pack duplicate
      symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
    - d/{control, compat}: update debhelper-compat version, add jtreg7
      dependencies, regenerate control.
    - d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
      add test options from OpenJDK makefile.
    - d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
    - d/t/jdk: provide dbus session for the window manager (LP: #2001576).
    - d/p/build_gtest.patch: build OpenJDK with the system googletest
      (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch:
      Ubuntu-specific patches to workaround missing DNS resolver on the build
      machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * Enable ppc64el JRE zero build as JDK-8299476 is fixed.
  * Known issues:
    - amd64: test/jdk/sun/security/pkcs11/KeyStore/CertChainRemoval.java:
      https://mail.openjdk.org/pipermail/jdk-dev/2023-May/007836.html
    - s390x: test/hotspot/jtreg/runtime/NMT/VirtualAllocCommitMerge.java:
      https://mail.openjdk.org/pipermail/hotspot-dev/2023-June/075316.html

  [ Matthias Klose ]
  * Fix jaxp.properties installation.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Jun 2023 17:54:09 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openjdk-25-doc`.
